Bug 500858 - DeprecationWarning: socket.ssl() is deprecated.
DeprecationWarning: socket.ssl() is deprecated.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 11:12 EDT by Adam Tkac
Modified: 2013-04-30 19:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-27 10:30:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix deprecation warning (918 bytes, patch)
2009-05-14 13:40 EDT, Christoph Höger
no flags Details | Diff

  None (edit)
Description Adam Tkac 2009-05-14 11:12:18 EDT
Description of problem:
There is annoying message written every time when I start offlineimap:

/usr/lib/python2.6/site-packages/offlineimap/imaplibutil.py:172:
DeprecationWarning: socket.ssl() is deprecated.  Use ssl.wrap_socket() instead.

Version-Release number of selected component (if applicable):
$ rpm -q offlineimap
offlineimap-6.0.3-3.fc11.noarch

How reproducible:
always

Steps to Reproduce:
1. configure offlineimap to use ssl:

[Repository remote-gmail]
type = IMAP
remotehost = imap.gmail.com
remoteuser = my_name@gmail.com
ssl = yes
remoteport = 993
remotepass = XXX

2. run offlineimap

Actual results:
annoying msg is written

Expected results:
no deprecation warnings

Additional info:
http://software.complete.org/software/issues/show/110
Comment 1 Christoph Höger 2009-05-14 13:40:52 EDT
Created attachment 344018 [details]
fix deprecation warning

This should fix.
Comment 2 Christoph Höger 2009-05-14 13:41:19 EDT
Hi,

thank you for reminding me on that. 
I've just sended a patch to upstream on that issue. 

I'll attach so you can test that out. Also there is a md5 deprecation I need to fix. I'll wait to see what upstream does with a new release. 

does it work for you?
Comment 3 Adam Tkac 2009-05-18 03:24:08 EDT
No, that patch doesn't work, warning is still printed. If I understand correctly DeprecationWarning says you should not use socket.ssl function.
Comment 4 Christoph Höger 2009-05-18 03:34:33 EDT
Oh man, sorry that patch was meant the other way around. Could you please try patch -R?
Comment 5 Adam Tkac 2009-05-18 05:54:32 EDT
Yes, reverse patch solves this issue.
Comment 6 Bug Zapper 2009-06-09 11:49:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Christoph Höger 2009-06-27 10:30:09 EDT
A patch has been sent upstream. Closing for now.

Note You need to log in before you can comment on or make changes to this bug.